콘텐츠로 건너뛰기

Gemini Omni Flash

통합

모델 id google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$1.271 1,271 API 크레딧 이 페이지에서 실행

API 키 받기
Google 텍스트를 동영상으로 립싱크빠름3–10 s #stylized#transform#lipsync

동기화된 오디오를 지원하는 오리지널 버전 텍스트-비디오 모델로, 16:9 또는 9:16의 3~10초 클립 생성

Google · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 20000

원하는 동영상을 설명하는 텍스트입니다.

aspect_ratio 기본값 16:9

출력 동영상의 화면 비율입니다.

기본값 8

초 단위로 측정한 출력 동영상의 길이입니다.

고급 enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 견적 → $1.271
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Gemini Omni Flash 정보

최대 20000자의 텍스트 프롬프트에서 오디오가 포함된 짧은 비디오를 생성합니다. 종횡비는 16:9 또는 9:16이고 길이는 3~10초(기본값 8초)입니다. 1.1 텍스트 엔드포인트와 달리 해상도 설정이 없으며 기본적으로 켜진 `enable_safety_checker` 플래그를 제공합니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 20,000자
원하는 동영상을 설명하는 텍스트입니다.
aspect_ratio선택 사항
유형enum
기본값16:9
16:99:16
출력 동영상의 화면 비율입니다.
duration선택 사항
유형integer
기본값8
3 – 10
초 단위로 측정한 출력 동영상의 길이입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/google/gemini-omni-flash.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt